#!/usr/bin/python3
import ctypes
import cdll_class
import script_loader as sl
import error_list
import error_class
import output
import sys
import os
sys.path.append('ombs_src/py')


def main():
    output.color_println('cyan', output.LOGO)
    if len(sys.argv) < 2:
        error_class.call_error('script_not_specified')
    sl.loader(sys.argv[1])
    # a = cdll_class.C_Library('./lib.so', ctypes.c_int)


if __name__ == '__main__':
    main()
